<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.ee.managed-scheduled-executor-service" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="context-service,core-threads,hung-task-termination-period,hung-task-threshold,jndi-name,keepalive-time,long-running-tasks,reject-policy,thread-factory,thread-priority"/>
        <elem name="addr-params" value="profile,subsystem,managed-scheduled-executor-service"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ee"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.ee.concurrent.scheduled-executor.$managed-scheduled-executor-service"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.ee.concurrent.context.service.$context-service" optional="true"/>
        <capability name="$profile.org.wildfly.ee.concurrent.thread-factory.$thread-factory" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.ee"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="reject-policy" nillable="true" stability="default"/>
        <param name="context-service" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="ee"/>
        <param name="managed-scheduled-executor-service" feature-id="true"/>
        <param name="jndi-name" stability="default"/>
        <param name="keepalive-time" nillable="true" stability="default"/>
        <param name="hung-task-termination-period" nillable="true" stability="default"/>
        <param name="thread-factory" nillable="true" stability="default"/>
        <param name="thread-priority" nillable="true" stability="default"/>
        <param name="hung-task-threshold" nillable="true" stability="default"/>
        <param name="core-threads" nillable="true" stability="default"/>
        <param name="long-running-tasks" nillable="true" stability="default"/>
    </params>
</feature-spec>